<h2><?php echo HEADING_ADMIN_FEED_SHOP_INFORMATION; ?></h2>

<p><?php echo TEXT_ADMIN_FEED_SHOP_INFORMATION_1; ?></p>
<p><?php echo TEXT_ADMIN_FEED_SHOP_INFORMATION_2; ?></p>

<p>
	<input type="checkbox" id="accept-shop-information-data-processing" checked />
	<label for="accept-shop-information-data-processing" class="checkbox-label"><?php echo CHECKBOX_ADMIN_FEED_SHOP_INFORMATION; ?></label>
</p>

<script type="text/javascript">
	$(() => {
		$('#button_install').on('click', event => {
			event.preventDefault();
			event.stopPropagation();
			
			$.post('request_port.php?action=configure_shop_information_data_processing', {
				email: $('[name="email"]').val(),
				password: $('[name="password"]').val(),
				accepted: $('#accept-shop-information-data-processing').is(':checked') ? 'true' : 'false'
			});
		});
	});
</script>